[proaudio] [1067] bump qsynth

[ Thread Index | Date Index | More lists.tuxfamily.org/proaudio Archives ]


Revision: 1067
Author:   gimpel
Date:     2007-12-20 08:42:20 +0000 (Thu, 20 Dec 2007)

Log Message:
-----------
bump qsynth

Modified Paths:
--------------
    trunk/overlays/proaudio/skel.metadata.xml

Added Paths:
-----------
    trunk/overlays/proaudio/media-sound/qsynth/
    trunk/overlays/proaudio/media-sound/qsynth/ChangeLog
    trunk/overlays/proaudio/media-sound/qsynth/Manifest
    trunk/overlays/proaudio/media-sound/qsynth/metadata.xml
    trunk/overlays/proaudio/media-sound/qsynth/qsynth-0.3.2.ebuild


Added: trunk/overlays/proaudio/media-sound/qsynth/ChangeLog
===================================================================
--- trunk/overlays/proaudio/media-sound/qsynth/ChangeLog	                        (rev 0)
+++ trunk/overlays/proaudio/media-sound/qsynth/ChangeLog	2007-12-20 08:42:20 UTC (rev 1067)
@@ -0,0 +1,8 @@
+# ChangeLog for media-sound/qsynth
+# Copyright 1999-2007 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+  20 Dec 2007; Thomas Kuther <gimpel@xxxxxxxxxxxxxxxx> +metadata.xml,
+  +qsynth-0.3.2.ebuild:
+  version bump
+

Added: trunk/overlays/proaudio/media-sound/qsynth/Manifest
===================================================================
--- trunk/overlays/proaudio/media-sound/qsynth/Manifest	                        (rev 0)
+++ trunk/overlays/proaudio/media-sound/qsynth/Manifest	2007-12-20 08:42:20 UTC (rev 1067)
@@ -0,0 +1,4 @@
+DIST qsynth-0.3.2.tar.gz 139129 RMD160 982fec5db78bb6fce1bb13326b8ba4f414513a7d SHA1 9344c72eb0a10497e2c42ba176eb2668b4b5a4ca SHA256 d747e6a3a1437580416a218df213624c2020a82bb261ac59d7bcfb821146d236
+EBUILD qsynth-0.3.2.ebuild 2087 RMD160 c06161b097b9bdb82a87d9ae08c3e493247a9f33 SHA1 9afe355827cd70e5d8cc47d2cd647d079323fa61 SHA256 094b9dc8e5bc968f8be06e2b6edeb41ad3c51a86f9ddacce0f7957770a8157cd
+MISC ChangeLog 229 RMD160 15a6cb82bdc6654d4cdf252f852d3b458f2927ec SHA1 717972a74b71542a37c34b1207b8050f9600711e SHA256 c38b9373118502ae54fb5fc244bcbe7f564e550f351fe47439966d457cebf038
+MISC metadata.xml 268 RMD160 facc07bd885f20615a1f2555069329c642e1a566 SHA1 2456bdb8a218c9d477d2d6ee4bf158de070c7be4 SHA256 96629b266b743f566c29158d4498edeeb1cd6b1f0cd9629e42d4f10b4da82f89

Added: trunk/overlays/proaudio/media-sound/qsynth/metadata.xml
===================================================================
--- trunk/overlays/proaudio/media-sound/qsynth/metadata.xml	                        (rev 0)
+++ trunk/overlays/proaudio/media-sound/qsynth/metadata.xml	2007-12-20 08:42:20 UTC (rev 1067)
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+	<herd>no-herd</herd>
+	<maintainer>
+		<email>proaudio@xxxxxxxxxxxxx</email>
+		<name>pro-audio overlay team</name>
+	</maintainer>
+</pkgmetadata>

Added: trunk/overlays/proaudio/media-sound/qsynth/qsynth-0.3.2.ebuild
===================================================================
--- trunk/overlays/proaudio/media-sound/qsynth/qsynth-0.3.2.ebuild	                        (rev 0)
+++ trunk/overlays/proaudio/media-sound/qsynth/qsynth-0.3.2.ebuild	2007-12-20 08:42:20 UTC (rev 1067)
@@ -0,0 +1,72 @@
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/media-sound/qsynth/qsynth-0.3.1-r1.ebuild,v 1.6 2007/11/23 12:33:49 armin76 Exp $
+
+inherit qt4 eutils flag-o-matic
+
+DESCRIPTION="A Qt application to control FluidSynth"
+HOMEPAGE="http://qsynth.sourceforge.net/";
+SRC_URI="mirror://sourceforge/qsynth/${P}.tar.gz"
+LICENSE="GPL-2"
+
+SLOT="0"
+IUSE="debug jack alsa"
+KEYWORDS="~amd64 ~ppc ~sparc ~x86"
+
+DEPEND="$(qt4_min_version 4.2)
+	>=media-sound/fluidsynth-1.0.7a"
+
+pkg_setup() {
+	if use jack; then
+		if ! built_with_use media-sound/fluidsynth jack; then
+			eerror "To use Qsynth with JACK, you need to build media-sound/fluidsynth"
+			eerror "with the jack USE flag enabled."
+			die "Missing jack USE flag on media-sound/fluidsynth"
+		fi
+		einfo "Enabling default JACK output."
+	elif use alsa; then
+		if ! built_with_use media-sound/fluidsynth alsa; then
+			eerror "To use Qsynth with ALSA, you need to build media-sound/fluidsynth"
+			eerror "with the alsa USE flag enabled."
+			die "Missing alsa USE flag on media-sound/fluidsynth"
+		fi
+		einfo "Enabling non-default ALSA output."
+	else
+		if ! built_with_use media-sound/fluidsynth oss; then
+			eerror "If you don't want to use either JACK or ALSA on Qsynth"
+			eerror "you need to enable the oss USE flag on media-sound/fluidsynth"
+			die "Missing oss USE flag on media-sound/fluidsynth"
+		fi
+		einfo "Enabling non-default OSS output."
+	fi
+}
+
+src_compile() {
+	append-flags -I/usr/include/qt4
+	append-ldflags -L/usr/$(get_libdir)/qt4
+
+	econf \
+		$(use_enable debug) \
+		|| die "econf failed"
+	emake || die "emake failed"
+}
+
+src_install () {
+	make DESTDIR="${D}" install || die "make install failed"
+	dodoc AUTHORS ChangeLog README TODO
+
+	# The desktop file is invalid, and we also change the command
+	# depending on useflags
+	rm -rf "${D}/usr/share/applications/qsynth.desktop"
+
+	local cmd
+	if use jack; then
+		cmd="qsynth"
+	elif use alsa; then
+		cmd="qsynth -a alsa"
+	else
+		cmd="qsynth -a oss"
+	fi
+
+	make_desktop_entry "${cmd}" Qsynth qsynth
+}

Modified: trunk/overlays/proaudio/skel.metadata.xml
===================================================================
--- trunk/overlays/proaudio/skel.metadata.xml	2007-12-19 19:57:52 UTC (rev 1066)
+++ trunk/overlays/proaudio/skel.metadata.xml	2007-12-20 08:42:20 UTC (rev 1067)
@@ -1,5 +1,9 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
 <pkgmetadata>
-<herd>no-herd</herd>
+	<herd>no-herd</herd>
+	<maintainer>
+		<email>proaudio@xxxxxxxxxxxxx</email>
+		<name>pro-audio overlay team</name>
+	</maintainer>
 </pkgmetadata>


Mail converted by MHonArc 2.6.19+ http://listengine.tuxfamily.org/